# TODO: external libral
Name: rubrica
Version: 2.1.6
Release: alt1.1

Summary: An address book for Gnome 2

License: GPL
Group: Office
Url: http://rubrica.berlios.de/

Packager: Vitaly Lipatov <lav@altlinux.ru>

#Source: http://download.berlios.de/%name/%name-%version.tar.bz2
Source: http://download.berlios.de/rubrica/rubrica2-%version.tar.bz2

%define gtk_ver 2.4.4

Requires: libgtk+2 >= %gtk_ver
Requires: python = %__python_version
# Automatically added by buildreq on Wed Jan 02 2008 (-bi)
BuildRequires: GConf gcc-c++ libGConf-devel libglade-devel libnotify-devel perl-XML-Parser

#BuildRequires: libral-devel >= 0.9.5

BuildPreReq: rpm-build-compat libgtk+2-devel >= %gtk_ver
Conflicts: libral

# manually removed: gcc-g77 eric esound libg2c-devel
%description
Rubrica is an address book for Gnome 2.

%prep
%setup -n rubrica2-%version

%build
%configure
%make_build

%install
%makeinstall_std

%__install -D rubrica2.schemas %buildroot%_sysconfdir/gconf/schemas/rubrica2.schemas
%find_lang --with-gnome rubrica2
rm -rf %buildroot%_gtkdocdir/libRAL/
ln -s rubrica2 %buildroot%_bindir/%name

%post
%gconf2_install rubrica2

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall rubrica2
fi

%files -f rubrica2.lang
%_bindir/*
%_datadir/%{name}2/
%_libdir/libral.so.*
%dir %_libdir/libral/
%dir %_libdir/libral/plugins/
%_libdir/libral/plugins/*.so.*
%_libdir/libral/plugins/*.so
%_desktopdir/*
%_pixmapsdir/rubrica2/
#%_liconsdir/*
#%_miconsdir/*
%_datadir/mime-info/*
%config %_sysconfdir/gconf/schemas/*
%doc README ChangeLog AUTHORS NEWS TODO

%changelog
* Thu Dec 03 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.1.6-alt1.1
- Rebuilt with python 2.6

* Wed Jan 07 2009 Vitaly Lipatov <lav@altlinux.ru> 2.1.6-alt1
- new version 2.1.6 (with rpmrb script)

* Wed Jan 02 2008 Vitaly Lipatov <lav@altlinux.ru> 2.0.2-alt1
- new version 2.0.2 (with rpmrb script)
- compiled with internal libral

* Sun Dec 10 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.81-alt0.1
- new version 1.1.81 (with rpmrb script)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.80-alt0.1
- new version 1.1.80 (with rpmrb script)

* Tue Jan 31 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.70-alt0.1
- new version
- remove debian menu

* Sun Oct 09 2005 Vitaly Lipatov <lav@altlinux.ru> 1.1.60-alt0.1
- new version

* Sat Sep 10 2005 Vitaly Lipatov <lav@altlinux.ru> 1.0.13-alt0.1
- NMU: new version
- rebuild with python 2.4

* Thu Jul 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.12-alt1.1
- rebuild to update python dependencies.

* Fri Jun 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.12-alt1
- new version.
- move to Office/AddressBooks in menu (close #4420)

* Sat Feb 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.11-alt1
- new version.

* Thu Feb 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.10-alt1
- 1.0.10

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.5-alt1
- 1.0.5

* Tue Jun 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sun May 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Sat May 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Fri Mar 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- First buiild for Sisyphus.

